> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poderp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Trackings

> Query tracking information by `uniqueRequestId` or `orderNos`. At least one parameter must be provided.

Query waybill tracking numbers and shipping label URLs for your orders.

You can query by either:

* **`uniqueRequestId`** — the batch identifier used when creating orders, returns all trackings for that batch
* **`orderNos`** — the customer order number from individual order items, returns trackings for that specific order

At least one parameter must be provided.


## OpenAPI

````yaml GET /api/openapi/trackings
openapi: 3.1.0
info:
  title: Pod ERP OpenAPI
  description: Pod ERP Open API for order management
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://api.platform.poderp.com
security:
  - bearerAuth: []
paths:
  /api/openapi/trackings:
    get:
      summary: Query Trackings
      description: >-
        Query tracking information by `uniqueRequestId` or `orderNos`. At least
        one parameter must be provided.
      parameters:
        - name: uniqueRequestId
          in: query
          required: false
          description: >-
            The unique request ID used when creating the order. Returns all
            waybills for that batch.
          schema:
            type: string
        - name: orderNos
          in: query
          required: false
          description: >-
            The customer order numbers (the `orderNo` passed in each order item
            when creating the order). comma-separated list of order numbers.
            Returns trackings associated with those specific orders.
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: List of tracking information
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QueryTrackingResponse'
        '400':
          description: Neither uniqueRequestId nor orderNos was provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    QueryTrackingResponse:
      type: object
      required:
        - waybillNo
        - currentStatus
        - lastUpdatedAt
      properties:
        waybillNo:
          type: string
          description: The waybill number
        trackingNumber:
          type: string
          description: Last-mile delivery tracking number
        channel:
          type: string
          description: Shipping channel code
        currentStatus:
          type: string
          enum:
            - NOT_FOUND
            - PRE_ADVICE_RECEIVED
            - PICKED_UP
            - IN_TRANSIT
            - ARRIVED_DESTINATION_COUNTRY
            - IN_CUSTOMS
            - CUSTOMS_CLEARED
            - ARRIVED_FOR_PICKUP
            - OUT_FOR_DELIVERY
            - DELIVERY_FAILED
            - DELIVERED
            - EXCEPTION
            - RETURNED
            - CANCELLED
            - UNKNOWN
          description: Current tracking status
        destinationCountry:
          type: string
          description: Destination country of the shipment
        lastMileProvider:
          type: object
          required:
            - name
          properties:
            name:
              type: string
              description: Name of the last-mile delivery provider
            telephone:
              type: string
              description: Telephone number of the last-mile delivery provider
            website:
              type: string
              description: Website of the last-mile delivery provider
        trackingEvents:
          type: array
          items:
            type: object
            required:
              - eventTime
              - status
              - description
            properties:
              eventTime:
                type: string
                format: datetime
                description: The time of the tracking event
              status:
                type: string
                enum:
                  - NOT_FOUND
                  - PRE_ADVICE_RECEIVED
                  - PICKED_UP
                  - IN_TRANSIT
                  - ARRIVED_DESTINATION_COUNTRY
                  - IN_CUSTOMS
                  - CUSTOMS_CLEARED
                  - ARRIVED_FOR_PICKUP
                  - OUT_FOR_DELIVERY
                  - DELIVERY_FAILED
                  - DELIVERED
                  - EXCEPTION
                  - RETURNED
                  - CANCELLED
                  - UNKNOWN
                description: The status of the tracking event
              description:
                type: string
                description: Description of the tracking event
              location:
                type: string
                description: Location of the tracking event
              locationDetail:
                type: object
                properties:
                  city:
                    type: string
                    description: City of the tracking event
                  province:
                    type: string
                    description: Province(or State) of the tracking event
                  country:
                    type: string
                    description: Country of the tracking event
                  postCode:
                    type: string
                    description: Postal code of the tracking event
                  address:
                    type: string
                    description: Address of the tracking event
        deliveryDays:
          type: integer
          description: Estimated delivery days
        podLinks:
          type: array
          items:
            type: string
            format: url
          description: Links to proof of delivery documents
        lastUpdatedAt:
          type: string
          format: datetime
          description: >-
            The last time the tracking information was updated(even if there are
            no new tracking events)
        lastEventTime:
          type: string
          format: datetime
          description: The last time the tracking event was updated
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````